#!/usr/bin/env perl
# Copyright 2010 Timo Siiranen.
# Public Domain

#
# Copyright 2018 Toni Fadjukoff. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

use strict;

print "Content-Type: text/html; charset=iso-8859-1\n\n";

print '<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fi" lang="fi">
<head>
  <title>Ruokalistat</title>
</head>
<body>';

my $min_refresh_secs = 60*5;
my @st = stat("/var/www/pna/1.html");
if ($st[9] > time-$min_refresh_secs) {
  print "<p>Ruokalistaa on jo pivitetty alle 5min sitten.</p>";
} elsif (system("cd /var/www/pna && ./food.py") == 0) {
  print "<p>Ruokalista pivitetty.</p>";
} else {
  print "<p>Virhe pivittess ruokalistaa.</p>";
}

print "\n<p><a href=\"/\">Takaisin</a></p>\n</body></html>\n";
